Skip to navigation

Restore Files

Restores files from an Eon snapshot.

This operation is asynchronous. It triggers a restore job and returns a job ID, which can be used to track the progress of the restore job. You can follow the progress of the restore job by calling Get Restore Job with the job ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the snapshot is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequired

Eon-assigned resource ID.

snapshotIdstringRequiredformat: "uuid"

ID of the Eon snapshot to restore.

Request

This endpoint expects an object.
destinationobjectRequired
fileslist of objectsRequired
List of file paths to restore.
restoreAccountIdstringRequired

Eon-assigned ID of the restore account.

Response

Restore job started.
jobIdstringformat: "uuid"
Restore job ID.

Errors

404
Not Found Error